Skip to main content
GET
Get generation status

Authorizations

Authorization
string
header
required

Workspace API key, e.g. Authorization: Bearer tented_.... Create keys in Workspace Settings → API Keys.

Path Parameters

emailId
string<uuid>
required

Email ID.

generationId
string
required

Generation ID.

Response

Generation state.

generation_id
string
required

Generation ID.

status
enum<string>
required

Generation state.

Available options:
generating,
completed,
failed
created_at
string<date-time>
required

When the generation started.

type
string

Generation type, e.g. iteration.

version
integer

Content version produced (present when completed).

content_path
string

API path to this generation’s HTML (present when completed).

plain_text_path
string

API path to this generation’s plain text (present when completed).

plain_text_source
enum<string>

Where plain text comes from.

Available options:
auto,
override
error_code
string

Failure code (present when failed), e.g. generation_failed.

error_message
string

Failure detail (present when failed).

completed_at
string<date-time> | null

When the generation finished.